﻿
.navbar-brand {
    /* padding-top: .75rem;*/
    padding-bottom: .5rem;
    /* background-color: rgba(0, 0, 0, .25);
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25);*/
    text-transform: uppercase;
    font-weight: bold;
    font-size: 1.3rem !important;
}

.navbar .form-control {
    padding: .75rem 1rem;
}

.aHome {
    display: block;
    text-align: center;
    margin-bottom: 0.5rem;
}

    .aHome i {
        font-size: 1.7rem;
    }


.text-teal {
    color: var(--bs-teal);
}

.maroon {
    color: maroon;
}

.gray {
    color: gray;
}

.sidebar {
    flex-grow: 0;
}


.alert {
    overflow-wrap: anywhere;
}


.dvPleaseSelect {
    font-size: .7rem;
    padding: .5rem;
    margin: 1rem;
}

.bi {
    display: inline-block;
    width: 1rem;
    height: 1rem;
}

@media (min-width: 768px) {
    .sidebar .offcanvas-lg {
        position: -webkit-sticky;
        position: sticky;
        top: 48px;
    }

    .navbar-search {
        display: block;
    }
}





.sidebar .nav-link {
    font-size: .875rem;
    font-weight: 500;
}

    .sidebar .nav-link.active {
        color: #2470dc;
    }

.sidebar-heading {
    font-size: .75rem;
}


.sidebar .dropdown-toggle {
    outline: 0;
}

.sidebar .tCustomer {
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;
}

.sidebar .tApp {
    display: block;
    font-size: .7rem;
    margin-top: 8px;
    font-weight: bold;
}


.sidebar span.spnMenuTitle {
    margin-left: 1rem;
    margin-top: 1.3rem;
    display: block;
    font-size: 0.9rem !important;
    font-weight: bold;
    font-family: Verdana;
}

.sidebar button.btn-toggle {
    cursor: default !important;
}

.sidebar .btn-toggle {
    padding: .25rem 1.25rem;
    /* color: var(--bs-emphasis-color);*/
    color: var(--bs-info-text-emphasis) !important;
    background-color: transparent;
    width: 100%;
    text-align: left;
}


    .sidebar .btn-toggle:hover,
    .sidebar .btn-toggle:focus {
        color: rgba(var(--bs-emphasis-color-rgb), .85);
        background-color: var(--bs-tertiary-bg);
    }

/*
    .sidebar .btn-toggle::before {
        width: 1.25em;
        line-height: 0;
        content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='13' height='13' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
        transition: transform .35s ease;
        transform-origin: .5em 50%;
    }


.sidebar [data-bs-theme="dark"] .btn-toggle::before {
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='13' height='13' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%28255,255,255,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
}

.sidebar .btn-toggle[aria-expanded="true"] {
    color: rgba(var(--bs-emphasis-color-rgb), .85);
}

    .sidebar .btn-toggle[aria-expanded="true"]::before {
        transform: rotate(90deg);
    }

    */
.sidebar a {
}

    .sidebar a.text-decoration-none {
        margin-left: 0px;
    }


.sidebar .btn-toggle-nav a:hover,
.sidebar .btn-toggle-nav a:focus {
    background-color: var(--bs-tertiary-bg);
}

.sidebar .scrollarea {
    overflow-y: auto;
}

.sidebar li div {
    margin-left: 0.8rem;
}

.sidebar li .ulOpt {
    margin-left: 0.8rem;
}

    .sidebar li .ulOpt li {
        margin: -4px 0px 0px 0px;
    }

.sidebar li a, li .aRoots {
}

.sidebar li .aRoots {
    padding-left: 1.25rem !important;
}

    .sidebar li .aRoots.disabled {
        color: gray !important;
    }

/* .leftmenu  li.liMenu:last-of-type {
    border-bottom: 1px solid #dee2e6 !important;
}*/

.sidebar li.liMenu {
    /* border-top: 1px solid #dee2e6 !important;*/
    padding: .1rem !important;
    position: relative;
}

    .sidebar li.liMenu span {
        margin-top: .125rem;
    }

    .sidebar li.liMenu div * {
        font-size: 95%;
    }

.sidebar .liMenu .faEditNPT {
    right: 10px;
    position: absolute;
    top: 6px;
    cursor: pointer;
}


.sidebar a.current {
    color: var(--bs-primary) !important;
    font-weight: bold;
}

.noradius {
    border-radius: 0 !important;
}






.footer {
}

@media (max-width: 767px) {
    .sidebar {
        height: initial !important;
    }
}



.ajax__fileupload {
    border: #dedede 1px solid !important;
    overflow: auto !important;
    background: #f8f8f8 !important;
    border-radius: 3px !important;
    padding: 10px !important;
}

.ajax__fileupload_dropzone {
    border-radius: 3px !important;
    margin-bottom: 5px !important;
}

.ajax__fileupload_selectFileButton, .ajax__fileupload_uploadbutton, .ajax__fileupload_fileItemInfo .removeButton, .ajax_fileupload_cancelbutton {
    border-radius: 3px !important;
    font-size: 12px !important;
}

.ajax_fileupload_cancelbutton {
    margin-top: 3px !important;
    display: inline-block !important;
    line-height: 20px !important;
    height: 20px !important;
}

.ajax__fileupload_topFileStatus {
    font-size: 12px !important;
}

.ajax__fileupload_queueContainer {
    border: #ccc 1px solid !important;
    margin-top: 35px !important;
    border-radius: 3px !important;
    font-size: 11px !important;
}

.ajax__fileupload_footer {
    height: initial !important;
    line-height: initial !important;
    margin-top: 3px !important;
}

.ajax__fileupload_fileItemInfo > div {
    padding: 0 3px !important;
}

.ajax__fileupload_progressBar {
    background-color: yellowgreen !important;
    padding-left: 4px !important;
    border-radius: 2px !important;
    margin-top: 3px !important;
    font-size: 12px !important;
    line-height: 20px !important;
    height: 20px !important;
}

.ajax__fileupload_uploadbutton {
    display: none !important;
}

.ajax__fileupload_dropzone {
    border-color: #8a8a8a !important;
    color: #8a8a8a !important;
}



.smTabDesc {
    margin-bottom: 10px;
}


.smallGray {
    display: block;
    font-size: .9rem;
    color: #aaa;
}

.panel-header {
    background: var(--bs-warning-bg-subtle);
}

.accordion-button:after {
    display: none;
}

.hand {
    cursor: pointer;
}

.move {
    cursor: move;
}

.red {
    color: red !important;
}

.hidden, .hide {
    display: none;
}

.cb input {
    margin-right: 7px;
    top: 5px;
    position: relative;
    width: 20px;
    height: 20px;
}





.list li {
    padding: 0.5rem 1rem;
}


.sortable {
    cursor: move;
}

.nav-link.active {
    background: var(--bs-light);
    font-weight: bold;
}

.imgPreview {
    max-width: 200px;
}



.sectionav .nav-link:hover, .nav-link:focus {
    color: var(--bs-nav-link-hover-color);
    background: var(--bs-primary-bg-subtle);
}

.sectionav .nav-link {
    border-radius: 0;
}



.note-btn-group.note-insert {
    display: none;
}






.plupload_start {
    display: none !important;
}

.plupload_container {
    border: solid 1px #efefef !important;
    background: #fafafa !important;
    border-radius: 3px !important;
    padding: 10px !important;
}

.plupload_wrapper, .plupload_wrapper * {
    font: inherit !important;
}

.plupload_header {
    display: none;
}

.plupload_filelist_header {
    display: none !important;
}

.plupload_scroll .plupload_filelist {
    height: 120px !important;
    background: #fcfcfc !important;
    overflow-y: auto !important;
    border: dashed 1px #ddd !important;
}

.plupload_filelist_footer {
    background: initial !important;
    padding: 8px 8px 8px 0px !important;
    color: initial !important;
}

.plupload_file_status span, .plupload_file_size span {
    color: #111 !important;
}

.plupload_buttons .plupload_add {
    background: initial !important;
    background-color: #aaa !important;
    color: #ddd !important;
    padding: 3px 5px !important;
    border-color: transparent !important;
}

.plupload_filelist {
    padding: 3px !important;
}

    .plupload_filelist li {
        font-size: 11px !important;
        color: #888 !important;
        padding: 8px 8px;
        background: #f8f8f8 !important;
        border-bottom: 1px solid #eee !important;
    }

        .plupload_filelist li.plupload_droptext {
            font-size: 14px !important;
            color: #aaa !important;
            padding: 10px 8px;
            background: initial !important;
            border-bottom: initial !important;
        }

            .plupload_filelist li.plupload_droptext i {
                font-style: normal !important;
                font-variant: normal !important;
                font-family: 'FontAwesome' !important;
                display: block !important;
                font-size: 1.5rem !important;
            }

        .plupload_filelist li .plupload_clearer {
            height: 0px !important;
        }

.plupload_upload_status {
    color: maroon !important;
}

.plupload_filelist_footer {
    border-top: none !important;
}

    .plupload_filelist_footer .plupload_file_status,
    .plupload_filelist_footer .plupload_file_size {
        display: none !important;
    }


.plupload_progress_container {
}

.plupload_progress_bar {
    background: orangered !important;
}



li.plupload_delete a {
    color: red;
    background: initial !important;
}

    li.plupload_delete a:after {
        content: '✕';
    }

li.plupload_done a {
    background: initial !important;
    color: green;
}

    li.plupload_done a:after {
        content: '✔';
    }

li.plupload_error a {
    background: initial !important;
    color: yellow;
}

    li.plupload_error a:after {
        content: '⚠';
    }